Package: org.gradle.api.tasks

## [Java] Class AbstractCopyTask

- org.gradle.api.tasks.AbstractCopyTask

- All Implemented Interfaces and Traits:
    CopySpec, org.gradle.api.internal.file.copy.CopySpecSource

      public abstract class AbstractCopyTask
      extends org.gradle.api.internal.ConventionTask

  `AbstractCopyTask` is the base class for all copy tasks.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.gradle.api.internal.ConventionTask` | `TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION`
    `class DefaultTask` | `TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected AbstractCopyTask ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `copy()`
    `protected org.gradle.api.internal.file.copy.CopyAction` | `createCopyAction()`
    `protected org.gradle.api.internal.file.copy.CopySpecInternal` | `createRootSpec()`
    `AbstractCopyTask` | `eachFile(Action<? super FileCopyDetails> action)` {@inheritDoc}
    `AbstractCopyTask` | `eachFile(groovy.lang.Closure closure)` {@inheritDoc}
    `AbstractCopyTask` | `exclude(String... excludes)` {@inheritDoc}
    `AbstractCopyTask` | `exclude(Iterable<String> excludes)` {@inheritDoc}
    `AbstractCopyTask` | `exclude(Spec<FileTreeElement> excludeSpec)` {@inheritDoc}
    `AbstractCopyTask` | `exclude(groovy.lang.Closure excludeSpec)` {@inheritDoc}
    `AbstractCopyTask` | `expand(Map<String, ?> properties)` {@inheritDoc}
    `AbstractCopyTask` | `filesMatching(String pattern, Action<? super FileCopyDetails> action)` {@inheritDoc}
    `AbstractCopyTask` | `filesNotMatching(String pattern, Action<? super FileCopyDetails> action)` {@inheritDoc}
    `AbstractCopyTask` | `filter(Map<String, ?> properties, Class<? extends FilterReader> filterType)` {@inheritDoc}
    `AbstractCopyTask` | `filter(Class<? extends FilterReader> filterType)` {@inheritDoc}
    `AbstractCopyTask` | `filter(groovy.lang.Closure closure)` {@inheritDoc}
    `AbstractCopyTask` | `from(Object... sourcePaths)` {@inheritDoc}
    `AbstractCopyTask` | `from(Object sourcePath, groovy.lang.Closure c)` {@inheritDoc}
    `Integer` | `getDirMode()` {@inheritDoc}
    `DuplicatesStrategy` | `getDuplicatesStrategy()` {@inheritDoc}
    `Set<String>` | `getExcludes()` {@inheritDoc}
    `protected org.gradle.api.internal.file.FileLookup` | `getFileLookup()`
    `Integer` | `getFileMode()` {@inheritDoc}
    `protected org.gradle.api.internal.file.FileResolver` | `getFileResolver()`
    `protected org.gradle.internal.nativeplatform.filesystem.FileSystem` | `getFileSystem()`
    `String` | `getFilteringCharset()` {@inheritDoc}
    `boolean` | `getIncludeEmptyDirs()` {@inheritDoc}
    `Set<String>` | `getIncludes()` {@inheritDoc}
    `protected org.gradle.internal.reflect.Instantiator` | `getInstantiator()`
    `protected org.gradle.api.internal.file.copy.CopySpecInternal` | `getMainSpec()`
    `org.gradle.api.internal.file.copy.CopySpecInternal` | `getRootSpec()`
    `FileCollection` | `getSource()` Returns the source files for this task.
    `AbstractCopyTask` | `include(String... includes)` {@inheritDoc}
    `AbstractCopyTask` | `include(Iterable<String> includes)` {@inheritDoc}
    `AbstractCopyTask` | `include(Spec<FileTreeElement> includeSpec)` {@inheritDoc}
    `AbstractCopyTask` | `include(groovy.lang.Closure includeSpec)` {@inheritDoc}
    `AbstractCopyTask` | `into(Object destDir)` {@inheritDoc}
    `AbstractCopyTask` | `into(Object destPath, groovy.lang.Closure configureClosure)` {@inheritDoc}
    `boolean` | `isCaseSensitive()` {@inheritDoc}
    `AbstractCopyTask` | `rename(groovy.lang.Closure closure)` {@inheritDoc}
    `AbstractCopyTask` | `rename(String sourceRegEx, String replaceWith)` {@inheritDoc}
    `AbstractCopyTask` | `rename(Pattern sourceRegEx, String replaceWith)` {@inheritDoc}
    `void` | `setCaseSensitive(boolean caseSensitive)` {@inheritDoc}
    `AbstractCopyTask` | `setDirMode(Integer mode)` {@inheritDoc}
    `void` | `setDuplicatesStrategy(DuplicatesStrategy strategy)` {@inheritDoc}
    `AbstractCopyTask` | `setExcludes(Iterable<String> excludes)` {@inheritDoc}
    `AbstractCopyTask` | `setFileMode(Integer mode)` {@inheritDoc}
    `void` | `setFilteringCharset(String charset)` {@inheritDoc}
    `void` | `setIncludeEmptyDirs(boolean includeEmptyDirs)` {@inheritDoc}
    `AbstractCopyTask` | `setIncludes(Iterable<String> includes)` {@inheritDoc}
    `CopySpec` | `with(CopySpec... sourceSpecs)` {@inheritDoc}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.api.internal.ConventionTask` | `org.gradle.api.internal.ConventionTask#conventionMapping(java.lang.String, groovy.lang.Closure), org.gradle.api.internal.ConventionTask#conventionMapping(java.lang.String, java.util.concurrent.Callable), org.gradle.api.internal.ConventionTask#getConventionMapping(), org.gradle.api.internal.ConventionTask#setProperty(java.lang.String, java.lang.Object), org.gradle.api.internal.ConventionTask#toString(), org.gradle.api.internal.ConventionTask#compareTo(org.gradle.api.Task), org.gradle.api.internal.ConventionTask#compareTo(java.lang.Object), org.gradle.api.internal.ConventionTask#getName(), org.gradle.api.internal.ConventionTask#getActions(), org.gradle.api.internal.ConventionTask#setName(java.lang.String), org.gradle.api.internal.ConventionTask#getState(), org.gradle.api.internal.ConventionTask#getState(), org.gradle.api.internal.ConventionTask#getPath(), org.gradle.api.internal.ConventionTask#getExtensions(), org.gradle.api.internal.ConventionTask#getLogger(), org.gradle.api.internal.ConventionTask#execute(), org.gradle.api.internal.ConventionTask#configure(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#configure(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#getDescription(), org.gradle.api.internal.ConventionTask#leftShift(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#property(java.lang.String), org.gradle.api.internal.ConventionTask#isEnabled(), org.gradle.api.internal.ConventionTask#setEnabled(boolean), org.gradle.api.internal.ConventionTask#getOutputs(), org.gradle.api.internal.ConventionTask#getOutputs(), org.gradle.api.internal.ConventionTask#onlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.ConventionTask#onlyIf(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#setOnlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.ConventionTask#setOnlyIf(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#setDidWork(boolean), org.gradle.api.internal.ConventionTask#getDidWork(), org.gradle.api.internal.ConventionTask#doFirst(org.gradle.api.Action), org.gradle.api.internal.ConventionTask#doFirst(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#doLast(org.gradle.api.Action), org.gradle.api.internal.ConventionTask#doLast(groovy.lang.Closure), org.gradle.api.internal.ConventionTask#deleteAllActions(), org.gradle.api.internal.ConventionTask#getEnabled(), org.gradle.api.internal.ConventionTask#getAnt(), org.gradle.api.internal.ConventionTask#getLogging(), org.gradle.api.internal.ConventionTask#getLogging(), org.gradle.api.internal.ConventionTask#hasProperty(java.lang.String), org.gradle.api.internal.ConventionTask#getConvention(), org.gradle.api.internal.ConventionTask#setDescription(java.lang.String), org.gradle.api.internal.ConventionTask#getGroup(), org.gradle.api.internal.ConventionTask#setGroup(java.lang.String), org.gradle.api.internal.ConventionTask#getTaskDependencies(), org.gradle.api.internal.ConventionTask#getTaskDependencies(), org.gradle.api.internal.ConventionTask#setDependsOn(java.lang.Iterable), org.gradle.api.internal.ConventionTask#dependsOn([Ljava.lang.Object;), org.gradle.api.internal.ConventionTask#getProject(), org.gradle.api.internal.ConventionTask#setActions(java.util.List), org.gradle.api.internal.ConventionTask#getDependsOn(), org.gradle.api.internal.ConventionTask#dependsOnTaskDidWork(), org.gradle.api.internal.ConventionTask#getInputs(), org.gradle.api.internal.ConventionTask#getTemporaryDir(), org.gradle.api.internal.ConventionTask#mustRunAfter([Ljava.lang.Object;), org.gradle.api.internal.ConventionTask#setMustRunAfter(java.lang.Iterable), org.gradle.api.internal.ConventionTask#getMustRunAfter(), org.gradle.api.internal.ConventionTask#finalizedBy([Ljava.lang.Object;), org.gradle.api.internal.ConventionTask#setFinalizedBy(java.lang.Iterable), org.gradle.api.internal.ConventionTask#getFinalizedBy(), org.gradle.api.internal.ConventionTask#shouldRunAfter([Ljava.lang.Object;), org.gradle.api.internal.ConventionTask#setShouldRunAfter(java.lang.Iterable), org.gradle.api.internal.ConventionTask#getShouldRunAfter(), org.gradle.api.internal.ConventionTask#getStandardOutputCapture(), org.gradle.api.internal.ConventionTask#getAsDynamicObject(), org.gradle.api.internal.ConventionTask#setProject(org.gradle.api.Project), org.gradle.api.internal.ConventionTask#injectIntoNewInstance(org.gradle.api.internal.project.ProjectInternal, java.lang.String, java.lang.Class, java.util.concurrent.Callable), org.gradle.api.internal.ConventionTask#prependParallelSafeAction(org.gradle.api.Action), org.gradle.api.internal.ConventionTask#getOnlyIf(), org.gradle.api.internal.ConventionTask#getImpliesSubProjects(), org.gradle.api.internal.ConventionTask#setImpliesSubProjects(boolean), org.gradle.api.internal.ConventionTask#getExecuter(), org.gradle.api.internal.ConventionTask#setExecuter(org.gradle.api.internal.tasks.TaskExecuter), org.gradle.api.internal.ConventionTask#getTemporaryDirFactory(), org.gradle.api.internal.ConventionTask#addValidator(org.gradle.api.internal.tasks.execution.TaskValidator), org.gradle.api.internal.ConventionTask#getValidators(), org.gradle.api.internal.ConventionTask#appendParallelSafeAction(org.gradle.api.Action), org.gradle.api.internal.ConventionTask#isHasCustomActions(), org.gradle.api.internal.ConventionTask#getTaskActions(), org.gradle.api.internal.ConventionTask#wait(long, int), org.gradle.api.internal.ConventionTask#wait(long), org.gradle.api.internal.ConventionTask#wait(), org.gradle.api.internal.ConventionTask#equals(java.lang.Object), org.gradle.api.internal.ConventionTask#hashCode(), org.gradle.api.internal.ConventionTask#getClass(), org.gradle.api.internal.ConventionTask#notify(), org.gradle.api.internal.ConventionTask#notifyAll()`
    `class DefaultTask` | `setProperty, toString, compareTo, compareTo, getName, getActions, setName, getState, getState, getPath, getExtensions, getLogger, execute, configure, configure, getDescription, leftShift, property, isEnabled, setEnabled, getOutputs, getOutputs, onlyIf, onlyIf, setOnlyIf, setOnlyIf, setDidWork, getDidWork, doFirst, doFirst, doLast, doLast, deleteAllActions, getEnabled, getAnt, getLogging, getLogging, hasProperty, getConvention, setDescription, getGroup, setGroup, getTaskDependencies, getTaskDependencies, setDependsOn, dependsOn, getProject, setActions, getDependsOn, dependsOnTaskDidWork, getInputs, getTemporaryDir, mustRunAfter, setMustRunAfter, getMustRunAfter, finalizedBy, setFinalizedBy, getFinalizedBy, shouldRunAfter, setShouldRunAfter, getShouldRunAfter, getStandardOutputCapture, getAsDynamicObject, setProject, injectIntoNewInstance, prependParallelSafeAction, getOnlyIf, getImpliesSubProjects, setImpliesSubProjects, getExecuter, setExecuter, getTemporaryDirFactory, addValidator, getValidators, appendParallelSafeAction, isHasCustomActions, getTaskActions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### protected AbstractCopyTask()

  - ### Method Detail

    - #### @TaskAction protected void copy()

    - #### protected org.gradle.api.internal.file.copy.CopyAction createCopyAction()

    - #### protected org.gradle.api.internal.file.copy.CopySpecInternal createRootSpec()

    - #### public AbstractCopyTask eachFile(Action<? super FileCopyDetails> action)

      {@inheritDoc}

    - #### public AbstractCopyTask eachFile(groovy.lang.Closure closure)

      {@inheritDoc}

    - #### public AbstractCopyTask exclude(String... excludes)

      {@inheritDoc}

    - #### public AbstractCopyTask exclude(Iterable<String> excludes)

      {@inheritDoc}

    - #### public AbstractCopyTask exclude(Spec<FileTreeElement> excludeSpec)

      {@inheritDoc}

    - #### public AbstractCopyTask exclude(groovy.lang.Closure excludeSpec)

      {@inheritDoc}

    - #### public AbstractCopyTask expand(Map<String, ?> properties)

      {@inheritDoc}

    - #### public AbstractCopyTask filesMatching(String pattern, Action<? super FileCopyDetails> action)

      {@inheritDoc}

    - #### public AbstractCopyTask filesNotMatching(String pattern, Action<? super FileCopyDetails> action)

      {@inheritDoc}

    - #### public AbstractCopyTask filter(Map<String, ?> properties, Class<? extends FilterReader> filterType)

      {@inheritDoc}

    - #### public AbstractCopyTask filter(Class<? extends FilterReader> filterType)

      {@inheritDoc}

    - #### public AbstractCopyTask filter(groovy.lang.Closure closure)

      {@inheritDoc}

    - #### public AbstractCopyTask from(Object... sourcePaths)

      {@inheritDoc}

    - #### public AbstractCopyTask from(Object sourcePath, groovy.lang.Closure c)

      {@inheritDoc}

    - #### public Integer getDirMode()

      {@inheritDoc}

    - #### public DuplicatesStrategy getDuplicatesStrategy()

      {@inheritDoc}

    - #### public Set<String> getExcludes()

      {@inheritDoc}

    - #### @javax.inject.Inject protected org.gradle.api.internal.file.FileLookup getFileLookup()

    - #### public Integer getFileMode()

      {@inheritDoc}

    - #### @javax.inject.Inject protected org.gradle.api.internal.file.FileResolver getFileResolver()

    - #### @javax.inject.Inject protected org.gradle.internal.nativeplatform.filesystem.FileSystem getFileSystem()

    - #### public String getFilteringCharset()

      {@inheritDoc}

    - #### public boolean getIncludeEmptyDirs()

      {@inheritDoc}

    - #### public Set<String> getIncludes()

      {@inheritDoc}

    - #### @javax.inject.Inject protected org.gradle.internal.reflect.Instantiator getInstantiator()

    - #### protected org.gradle.api.internal.file.copy.CopySpecInternal getMainSpec()

    - #### public org.gradle.api.internal.file.copy.CopySpecInternal getRootSpec()

    - #### @InputFiles @SkipWhenEmpty @Optional public FileCollection getSource()

      Returns the source files for this task.

      Returns:
        The source files. Never returns null.

    - #### public AbstractCopyTask include(String... includes)

      {@inheritDoc}

    - #### public AbstractCopyTask include(Iterable<String> includes)

      {@inheritDoc}

    - #### public AbstractCopyTask include(Spec<FileTreeElement> includeSpec)

      {@inheritDoc}

    - #### public AbstractCopyTask include(groovy.lang.Closure includeSpec)

      {@inheritDoc}

    - #### public AbstractCopyTask into(Object destDir)

      {@inheritDoc}

    - #### public AbstractCopyTask into(Object destPath, groovy.lang.Closure configureClosure)

      {@inheritDoc}

    - #### public boolean isCaseSensitive()

      {@inheritDoc}

    - #### public AbstractCopyTask rename(groovy.lang.Closure closure)

      {@inheritDoc}

    - #### public AbstractCopyTask rename(String sourceRegEx, String replaceWith)

      {@inheritDoc}

    - #### public AbstractCopyTask rename(Pattern sourceRegEx, String replaceWith)

      {@inheritDoc}

    - #### public void setCaseSensitive(boolean caseSensitive)

      {@inheritDoc}

    - #### public AbstractCopyTask setDirMode(Integer mode)

      {@inheritDoc}

    - #### public void setDuplicatesStrategy(DuplicatesStrategy strategy)

      {@inheritDoc}

    - #### public AbstractCopyTask setExcludes(Iterable<String> excludes)

      {@inheritDoc}

    - #### public AbstractCopyTask setFileMode(Integer mode)

      {@inheritDoc}

    - #### public void setFilteringCharset(String charset)

      {@inheritDoc}

    - #### public void setIncludeEmptyDirs(boolean includeEmptyDirs)

      {@inheritDoc}

    - #### public AbstractCopyTask setIncludes(Iterable<String> includes)

      {@inheritDoc}

    - #### public CopySpec with(CopySpec... sourceSpecs)

      {@inheritDoc}